package com.yeejoin.amos.boot.module.tzs.api.service;


import com.yeejoin.amos.boot.module.tzs.api.entity.DispatchPaper;

/**
 * 派遣单接口类
 *
 * @author kongfm
 * @date 2021-08-03
 */
public interface IDispatchPaperService {

    DispatchPaper selectDispatchPaperByAlertId(Long alertId);

    Object selectDispatchPaperDtoByAlertId(Long alertId);

    /**
     * 根据警情id 及 警情类别 创建 派遣单
     * @param alertId
     * @param alertCode
     * @return
     */
    DispatchPaper createDispatchPaper(Long alertId, String alertCode);
}
